

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>AM64X DMA Device Descriptions &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 5: SoC Family Specific Documentation" href="../index.html"/>
        <link rel="next" title="AM64X PSI-L Device Descriptions" href="psil_cfg.html"/>
        <link rel="prev" title="AM64X Ring Accelerator Device Descriptions" href="ra_cfg.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                11.00.04
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 5: SoC Family Specific Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr1">AM65x SR1</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr2">AM65x SR2</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#am64x">AM64x</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="hosts.html">AM64X Host Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="devices.html">AM64X Devices Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="clocks.html">AM64X Clock Identifiers</a></li>
<li class="toctree-l3"><a class="reference internal" href="pll_data.html">AM64X PLL Defaults</a></li>
<li class="toctree-l3"><a class="reference internal" href="resasg_types.html">AM64X Board Configuration Resource Assignment Type Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="interrupt_cfg.html">AM64X Interrupt Management Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="ra_cfg.html">AM64X Ring Accelerator Device Descriptions</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">AM64X DMA Device Descriptions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="#dma-device-ids">DMA Device IDs</a></li>
<li class="toctree-l4"><a class="reference internal" href="#dma-channel-and-flow-indices">DMA Channel and Flow Indices</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="psil_cfg.html">AM64X PSI-L Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="proxy_cfg.html">AM64X Proxy Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="sec_proxy.html">AM64X Secure Proxy Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="processors.html">AM64X Processor Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="firewalls.html">AM64X Firewall Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="soc_devgrps.html">AM64X Device Group descriptions</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62x">AM62x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62ax">AM62Ax</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62px">AM62Px</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am275x">AM275x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62lx">AM62Lx</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721e">J721E</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j7200">J7200</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721s2">J721S2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j722s">J722S</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j784s4">J784S4</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 5: SoC Family Specific Documentation</a> &raquo;</li>
      
    <li>AM64X DMA Device Descriptions</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="am64x-dma-device-descriptions">
<h1>AM64X DMA Device Descriptions<a class="headerlink" href="#am64x-dma-device-descriptions" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This chapter provides information on the DMA devices in the AM64X SoC.  Some
System Firmware TISCI messages take device specific inputs. This chapter
provides information on the valid values for DMA TISCI message parameters.</p>
</div>
<div class="section" id="dma-device-ids">
<span id="pub-soc-am64x-dma-device-ids"></span><h2>DMA Device IDs<a class="headerlink" href="#dma-device-ids" title="Permalink to this headline">¶</a></h2>
<p>Some System Firmware TISCI message APIs require the DMA device ID be provided as
part of the request. Based on <a class="reference internal" href="devices.html"><span class="doc">AM64X Device IDs</span></a> these are the
valid DMA device IDs.</p>
<table border="1" class="docutils">
<colgroup>
<col width="61%" />
<col width="39%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">DMA Device Name</th>
<th class="head">DMA Device ID</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>AM64X_DEV_DMASS0_BCDMA_0</td>
<td>26</td>
</tr>
<tr class="row-odd"><td>AM64X_DEV_DMASS0_PKTDMA_0</td>
<td>30</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="dma-channel-and-flow-indices">
<span id="pub-soc-am64x-dma-channels-and-flows"></span><h2>DMA Channel and Flow Indices<a class="headerlink" href="#dma-channel-and-flow-indices" title="Permalink to this headline">¶</a></h2>
<p>This section describes valid DMA channel indexes for each DMA channel type.
Receive flow index range type information is also described if applicable to the
DMA being described.</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">Resources marked as reserved for use by DMSC <strong>cannot</strong> be assigned to a
host within the RM Board Configuration resource assignment array.  The RM
Board Configuration is rejected if an overlap with a reserved resource is
detected.</p>
</div>
<p><strong>DMASS0_BCDMA_0</strong></p>
<table border="1" class="docutils">
<colgroup>
<col width="42%" />
<col width="58%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Tx Channel Type</th>
<th class="head">Tx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>SPLIT_TR_TX_CHAN</td>
<td>0 to 19</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="42%" />
<col width="58%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Channel Type</th>
<th class="head">Rx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>SPLIT_TR_RX_CHAN</td>
<td>0 to 19</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="38%" />
<col width="63%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Block Copy Channel Type</th>
<th class="head">Block Copy Channel (Offset) + Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>BLOCK_COPY_CHAN</td>
<td>0 to 27</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="44%" />
<col width="56%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Flow Type</th>
<th class="head">Rx Flow Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>BLOCK_COPY_CHAN</td>
<td>0 to 27</td>
</tr>
<tr class="row-odd"><td>SPLIT_TR_TX_CHAN</td>
<td>28 to 47</td>
</tr>
<tr class="row-even"><td>SPLIT_TR_RX_CHAN</td>
<td>48 to 67</td>
</tr>
</tbody>
</table>
<p><strong>DMASS0_PKTDMA_0</strong></p>
<table border="1" class="docutils">
<colgroup>
<col width="57%" />
<col width="43%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Tx Channel Type</th>
<th class="head">Tx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>UNMAPPED_TX_CHAN</td>
<td>0 to 15</td>
</tr>
<tr class="row-odd"><td>CPSW_TX_CHAN</td>
<td>16 to 23</td>
</tr>
<tr class="row-even"><td>SAUL_TX_0_CHAN
(<strong>RESERVED BY SYSTEM FIRMWARE</strong>)</td>
<td>24 to 24</td>
</tr>
<tr class="row-odd"><td>SAUL_TX_1_CHAN</td>
<td>25 to 25</td>
</tr>
<tr class="row-even"><td>ICSSG_0_TX_CHAN</td>
<td>26 to 33</td>
</tr>
<tr class="row-odd"><td>ICSSG_1_TX_CHAN</td>
<td>34 to 41</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="57%" />
<col width="43%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Channel Type</th>
<th class="head">Rx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>UNMAPPED_RX_CHAN</td>
<td>0 to 15</td>
</tr>
<tr class="row-odd"><td>CPSW_RX_CHAN</td>
<td>16 to 16</td>
</tr>
<tr class="row-even"><td>SAUL_RX_0_CHAN
(<strong>RESERVED BY SYSTEM FIRMWARE</strong>)</td>
<td>17 to 17</td>
</tr>
<tr class="row-odd"><td>SAUL_RX_1_CHAN
(<strong>RESERVED BY SYSTEM FIRMWARE</strong>)</td>
<td>18 to 18</td>
</tr>
<tr class="row-even"><td>SAUL_RX_2_CHAN</td>
<td>19 to 19</td>
</tr>
<tr class="row-odd"><td>SAUL_RX_3_CHAN</td>
<td>20 to 20</td>
</tr>
<tr class="row-even"><td>ICSSG_0_RX_CHAN</td>
<td>21 to 24</td>
</tr>
<tr class="row-odd"><td>ICSSG_1_RX_CHAN</td>
<td>25 to 28</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="60%" />
<col width="40%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Flow Type</th>
<th class="head">Rx Flow Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>UNMAPPED_TX_CHAN</td>
<td>0 to 15</td>
</tr>
<tr class="row-odd"><td>CPSW_TX_CHAN</td>
<td>16 to 79</td>
</tr>
<tr class="row-even"><td>SAUL_TX_0_CHAN
(<strong>RESERVED BY SYSTEM FIRMWARE</strong>)</td>
<td>80 to 87</td>
</tr>
<tr class="row-odd"><td>SAUL_TX_1_CHAN</td>
<td>88 to 95</td>
</tr>
<tr class="row-even"><td>ICSSG_0_TX_CHAN</td>
<td>96 to 103</td>
</tr>
<tr class="row-odd"><td>ICSSG_1_TX_CHAN</td>
<td>104 to 111</td>
</tr>
<tr class="row-even"><td>UNMAPPED_RX_CHAN</td>
<td>112 to 127</td>
</tr>
<tr class="row-odd"><td>CPSW_RX_CHAN</td>
<td>128 to 143</td>
</tr>
<tr class="row-even"><td>SAUL_RX_0_CHAN
(<strong>RESERVED BY SYSTEM FIRMWARE</strong>)</td>
<td>144 to 151</td>
</tr>
<tr class="row-odd"><td>SAUL_RX_1_CHAN</td>
<td>144 to 151</td>
</tr>
<tr class="row-even"><td>SAUL_RX_2_CHAN</td>
<td>152 to 159</td>
</tr>
<tr class="row-odd"><td>SAUL_RX_3_CHAN</td>
<td>152 to 159</td>
</tr>
<tr class="row-even"><td>ICSSG_0_RX_CHAN</td>
<td>160 to 223</td>
</tr>
<tr class="row-odd"><td>ICSSG_1_RX_CHAN</td>
<td>224 to 287</td>
</tr>
</tbody>
</table>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="psil_cfg.html" class="btn btn-neutral float-right" title="AM64X PSI-L Device Descriptions" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="ra_cfg.html" class="btn btn-neutral" title="AM64X Ring Accelerator Device Descriptions" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2025</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'11.00.04',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>